summaryrefslogtreecommitdiffstats
path: root/source/l/libxml2
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/l/libxml2
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/libxml2')
-rw-r--r--source/l/libxml2/0001-Fix-attribute-decoding-during-XML-schema-validation.diff67
-rwxr-xr-xsource/l/libxml2/libxml2.SlackBuild60
-rw-r--r--source/l/libxml2/slack-desc14
3 files changed, 48 insertions, 93 deletions
diff --git a/source/l/libxml2/0001-Fix-attribute-decoding-during-XML-schema-validation.diff b/source/l/libxml2/0001-Fix-attribute-decoding-during-XML-schema-validation.diff
deleted file mode 100644
index 6dbaddcd8..000000000
--- a/source/l/libxml2/0001-Fix-attribute-decoding-during-XML-schema-validation.diff
+++ /dev/null
@@ -1,67 +0,0 @@
-From 256366ed60f8795279b25f7b7b55e8089b4c6ff4 Mon Sep 17 00:00:00 2001
-From: Alex Henrie <alexhenrie24@gmail.com>
-Date: Thu, 26 May 2016 17:38:35 -0600
-Subject: [PATCH] Fix attribute decoding during XML schema validation
-
-For https://bugzilla.gnome.org/show_bug.cgi?id=766834
-
-vctxt->parserCtxt is always NULL in xmlSchemaSAXHandleStartElementNs,
-so this function can't call xmlStringLenDecodeEntities to decode the
-entities.
----
- xmlschemas.c | 30 +++++++++++++++++++++++++-----
- 1 file changed, 25 insertions(+), 5 deletions(-)
-
-diff --git a/xmlschemas.c b/xmlschemas.c
-index e1b3a4f..59535e5 100644
---- a/xmlschemas.c
-+++ b/xmlschemas.c
-@@ -27391,6 +27391,7 @@ xmlSchemaSAXHandleStartElementNs(void *ctx,
- * attributes yet.
- */
- if (nb_attributes != 0) {
-+ int valueLen, k, l;
- xmlChar *value;
-
- for (j = 0, i = 0; i < nb_attributes; i++, j += 5) {
-@@ -27400,12 +27401,31 @@ xmlSchemaSAXHandleStartElementNs(void *ctx,
- * libxml2 differs from normal SAX here in that it escapes all ampersands
- * as &#38; instead of delivering the raw converted string. Changing the
- * behavior at this point would break applications that use this API, so
-- * we are forced to work around it. There is no danger of accidentally
-- * decoding some entity other than &#38; in this step because without
-- * unescaped ampersands there can be no other entities in the string.
-+ * we are forced to work around it.
- */
-- value = xmlStringLenDecodeEntities(vctxt->parserCtxt, attributes[j+3],
-- attributes[j+4] - attributes[j+3], XML_SUBSTITUTE_REF, 0, 0, 0);
-+ valueLen = attributes[j+4] - attributes[j+3];
-+ value = xmlMallocAtomic(valueLen + 1);
-+ if (value == NULL) {
-+ xmlSchemaVErrMemory(vctxt,
-+ "allocating string for decoded attribute",
-+ NULL);
-+ goto internal_error;
-+ }
-+ for (k = 0, l = 0; k < valueLen; l++) {
-+ if (k < valueLen - 4 &&
-+ attributes[j+3][k+0] == '&' &&
-+ attributes[j+3][k+1] == '#' &&
-+ attributes[j+3][k+2] == '3' &&
-+ attributes[j+3][k+3] == '8' &&
-+ attributes[j+3][k+4] == ';') {
-+ value[l] = '&';
-+ k += 5;
-+ } else {
-+ value[l] = attributes[j+3][k];
-+ k++;
-+ }
-+ }
-+ value[l] = '\0';
- /*
- * TODO: Set the node line.
- */
---
-2.8.3
-
-
diff --git a/source/l/libxml2/libxml2.SlackBuild b/source/l/libxml2/libxml2.SlackBuild
index 87280fca0..699fb6ef0 100755
--- a/source/l/libxml2/libxml2.SlackBuild
+++ b/source/l/libxml2/libxml2.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libxml2
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
@@ -35,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -51,7 +60,9 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
+PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-libxml2
rm -rf $PKG
@@ -59,8 +70,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf libxml2-$VERSION
-tar xvf $CWD/libxml2-$VERSION.tar.?z* || exit 1
-cd libxml2-$VERSION
+tar xvf $CWD/libxml2-$VERSION.tar.?z || exit 1
+cd libxml2-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -70,7 +81,22 @@ find . \
zcat $CWD/libxml2.do-not-check-crc.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/0001-Fix-attribute-decoding-during-XML-schema-validation.diff.gz | patch -p1 --verbose || exit 1
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --disable-static \
+ --with-python=/usr/bin/python3 \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+python3 -m compileall "${PKG}$PYTHON3LIB"
+python3 -O -m compileall "${PKG}$PYTHON3LIB"
+
+make clean
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -78,15 +104,17 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--disable-static \
- --build=$ARCH-slackware-linux
+ --with-python=/usr/bin/python \
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-#echo
-#echo "Only the python bindings in /usr/lib/python__/site-packages/ should"
-#echo "be kept... toss the other stuff"
-#echo
+python -m compileall "${PKG}$PYTHONLIB"
+python -O -m compileall "${PKG}$PYTHONLIB"
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -94,7 +122,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
mv $PKG/usr/share/doc $PKG/usr
mv $PKG/usr/doc/libxml2-python-$VERSION $PKG/usr/doc/libxml2-$VERSION
cp -a \
- AUTHORS COPYING* INSTALL NEWS README \
+ AUTHORS COPYING* INSTALL NEWS README* \
$PKG/usr/doc/libxml2-$VERSION
find $PKG/usr/doc/libxml2-$VERSION -type f | xargs chmod 644
@@ -102,12 +130,6 @@ gzip -9 $PKG/usr/man/man?/*.?
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-# Be sure to clobber any .pyc files that might have been generated so that
-# the new .py files will be used instead of the already compiled copies
-cat << EOF > $PKG/install/doinst.sh
-rm -f /usr/lib${LIBDIRSUFFIX}/python2.7/site-packages/libxml2.pyc
-rm -f /usr/lib${LIBDIRSUFFIX}/python2.7/site-packages/drv_libxml2.pyc
-EOF
cd $PKG
/sbin/makepkg -l y -c n $TMP/libxml2-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/libxml2/slack-desc b/source/l/libxml2/slack-desc
index dfbc38dc3..5b72d9970 100644
--- a/source/l/libxml2/slack-desc
+++ b/source/l/libxml2/slack-desc
@@ -1,18 +1,18 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
libxml2: libxml2 (XML parser library)
libxml2:
-libxml2: Libxml2 is the XML C parser library and toolkit. XML itself is a
-libxml2: metalanguage to design markup languages -- i.e. a text language where
+libxml2: Libxml2 is the XML C parser library and toolkit. XML itself is a
+libxml2: metalanguage to design markup languages - i.e. a text language where
libxml2: structures are added to the content using extra "markup" information
-libxml2: enclosed between angle brackets. HTML is the most well-known markup
-libxml2: language. Though the library is written in C, a variety of language
+libxml2: enclosed between angle brackets. HTML is the most well-known markup
+libxml2: language. Though the library is written in C, a variety of language
libxml2: bindings make it available in other environments.
libxml2:
libxml2: